<?php
// Copyright 1999-2017. Plesk International GmbH. All rights reserved.
$messages = array(
    'formGeneralHint' => 'Here you can specify Apache web server settings for this website. Custom Apache configuration is useful, for example, when you want to use a new type of index files on your website or to associate a certain MIME type with certain filename extensions. The Default value means that Apache will use the corresponding directive from its server-wide configuration. If Apache is running with nginx as a frontend server, you can specify the nginx settings on this page as well.',
    'general' => 'Common Apache settings',
    'example' => "For example:\n%%example%%",
    'settingOn' => 'On',
    'settingOff' => 'Off (Default)',
    'settingDefault' => 'Default',
    'settingCustom' => 'Enter custom value',
    'mimeTypes' => 'MIME types',
    'mimeTypesExample' => "text/plain .txt\nimage/jpeg .jpeg \n\nMIME types associate file extensions with file types. Typically, this is used to create a custom file extension for common file types.",
    'handlers' => 'Handlers',
    'handlersExample' => "php-script .php\ncgi-script .cgi \n\nApache handlers define how the web server processes files with certain extensions when they are requested. For example, the string 'php-script .script' means that Apache will handle .script files as php scripts.",
    'deny' => 'Deny access to the site',
    'allow' => 'Excluding',
    'denyExample' => "10.1.0.0/16\n192.168.1.110\n\nThe specified hosts and networks are prohibited from accessing the site. Use '*' to deny all connections.",
    'allowExample' => "192.168.0.0/16\n10.1.1.21\n\nThe specified hosts and networks are allowed to access the site.",
    'directoryIndex' => 'Index files',
    'directoryIndexExample' => "index.htm index.php index.pl \n\nApache will look for the specified files when the index page of the site is requested.",
    'expires' => 'Expires',
    'expiresStaticOnly' => 'response with Expires headers for static files only',
    'expiresDescription' => 'The web server will add the “Expires” response headers to web pages. The expiration timestamp is obtained by adding the amount of time specified above to the time at which a web page is requested.',
    'expiresStaticOnlyDescription' => 'The "Expires" header will only be added to static files. Which files are treated as static is governed by the "Smart static files processing" and "Serve static files directly by nginx" options.',
    'expiresUnitDays' => 'days',
    'expiresUnitHours' => 'hours',
    'expiresUnitMinutes' => 'minutes',
    'expiresUnitSeconds' => 'seconds',
    'headers' => 'Additional headers',
    'headersExample' => "Cache-Control: public\nStrict-Transport-Security: max-age=63072000\nX-Frame-Options: DENY\n\nWeb server will add the specified HTTP response headers.",
    'restrictFollowSymLinks' => 'Restrict the ability to follow symbolic links',
    'restrictFollowSymLinksDescription' => "Select this option to prohibit users from using the FollowSymLink directive in .htaccess and improve the server security.",
    'nginx' => 'nginx settings',
    'nginxProxyMode' => 'Proxy mode',
    'nginxProxyModeDescription' => 'Nginx proxies requests to Apache. Turn off to stop using Apache.',
    'nginxTransparentMode' => 'Smart static files processing',
    'nginxTransparentModeDescription' => 'If turned off, Apache will process all requests for static files. nginx will only pass requests and responses without modification. Turn off this option only for troubleshooting.',
    'nginxServeStatic' => 'Serve static files directly by nginx',
    'nginxStaticExtensions' => 'Specify file extensions separated by spaces or by the "|" symbol. Requests for these files will be handled by nginx and never reach Apache. Caution: Apache rewrite rules will not be applied.',
    'nginxServePhp' => 'Process PHP by nginx',
    'nginxServePhpDescription' => 'PHP files (.php) will be handled by nginx and PHP-FPM. If turned off, PHP files will be processed by Apache.',

    'nginxCacheEnabled' => 'Enable nginx caching',
    'nginxCacheEnabledDescription' => 'Caching may reduce website response time and server load, but should be used with care.',
    'nginxCacheSize' => 'Cache size',
    'nginxCacheSizeGb' => 'GB',
    'nginxCacheSizeMb' => 'MB',
    'nginxCacheSizeKb' => 'KB',
    'nginxCacheSizeBytes' => 'B',
    'nginxCacheTimeout' => 'Cache timeout',
    'nginxCacheTimeoutDays' => 'days',
    'nginxCacheTimeoutHours' => 'hours',
    'nginxCacheTimeoutMinutes' => 'minutes',
    'nginxCacheTimeoutSeconds' => 'seconds',
    'nginxCacheKey' => 'Cache key',
    'nginxCacheCookies' => 'Cache requests with cookies',
    'nginxCacheBypassLocations' => 'Disable caching for locations',
    'nginxCacheBypass' => 'Bypass cache when',
    'nginxCacheBypassHeaderNocache' => 'HTTP no-cache headers are received in request',
    'nginxCacheBypassHeaderAuth' => 'HTTP authorization headers are received in request',
    'nginxCacheBypassGetNocache' => 'GET nocache parameter is received in request',
    'nginxCacheUseStale' => 'Return stale cached records',
    'nginxCacheUseStale5xx' => 'Upstream returns 5xx server error',
    'nginxCacheUseStale4xx' => 'Upstream returns 4xx client error',
    'nginxCacheUseStaleUpdating' => 'Cache is being updated',

    'additional' => 'Additional Apache directives',
    'additionalSettingsDescription' => 'If you cannot find particular settings, add them to the fields below. These settings will override the server-wide Apache directives. The directives from the first field are used when a visitor accesses the site over HTTP. The second field contains the directives for HTTPS. Generally, you should add your directives to both fields. Use the same syntax as you use for httpd.include. For example, if you want to set a custom error page, add the line: ErrorDocument 401 /my_error_page.html',
    'additionalSettings' => 'Additional directives for HTTP',
    'additionalSslSettings' => 'Additional directives for HTTPS',
    'additionalSettingsError' => 'Invalid Apache configuration: %%error%%',
    'rollbackFailed' => 'Unable to use the current Apache configuration file and to rollback to the previous version of the file because they contain invalid configuration.',

    'additionalNginx' => 'Additional nginx directives',
    'additionalNginxSettingsDescription' => 'Here you can specify the settings for the nginx reverse proxy server that runs in front of Apache. Your directives will override the server-wide nginx configuration. For example, you may want to change the connection timeout or to pack requests with gzip. Use the same syntax as you use for nginx.conf. For example, if you want to pack all the proxied requests with gzip, add the line: \'gzip_proxied any;\'.',
    'additionalNginxSettings' => 'Additional nginx directives',
    'additionalNginxSettingsError' => 'Invalid nginx configuration: %%error%%',
    'nginxRollbackFailed' => 'Unable to use the current nginx configuration file and to rollback to the previous version of the file because they both contain invalid configuration.',
);
