<?php
// Copyright 1999-2017. Plesk International GmbH. All rights reserved.
$messages = array(
    'pageHint' => 'Here you can configure the web application firewall (ModSecurity).',
    'webSitePageHint' => 'Here you can configure the web application firewall (ModSecurity).',
    'ruleEngine' => 'Web application firewall mode',
    'ruleEngineOn' => 'On',
    'ruleEngineOnDescription' => 'Each incoming HTTP request and the related response are checked against a set of rules. If the check succeeds, the HTTP request is passed to web site content. If the check fails, the event is logged, a notification is sent, and the HTTP response is provided with an error code.',
    'ruleEngineOff' => 'Off',
    'ruleEngineOffDescription' => 'Incoming HTTP requests and related responses are not checked.',
    'ruleEngineDetectionOnly' => 'Detection only',
    'ruleEngineDetectionOnlyDescription' => 'Each incoming HTTP request and the related response are checked against a set of rules. If the check succeeds, the HTTP request is passed to web site content. If the check fails, the event is logged, no other actions are performed.',

    'ruleSetsSection' => 'Rule sets',
    'ruleSetsSectionHint' => 'A rule set is a package that contains files with specific security rules. Security rules are checked by the web application firewall engine for each incoming HTTP request.',
    'ruleSet' => 'Rule set',
    'ruleSetCrs' => 'OWASP ModSecurity',
    'ruleSetCrsDescription' => 'The OWASP rule set is very restrictive and thus might block some functions, such as file sharing, webmail, and some web applications, including WordPress.',
    'ruleSetCrsConfirmTitle' => 'Are you sure you want to apply the changes?',
    'ruleSetCrsConfirmDescription' => 'OWASP rules might be too restrictive and thus block some functions, such as file sharing, webmail, and some web applications.',
    'ruleSetTortix' => 'Atomic Basic ModSecurity',
    'ruleSetTortixDescription' => 'A starter version of the Atomic ModSecurity rules. Provides basic web application firewall functionality. Updated on a monthly basis.',
    'ruleSetTortixPro' => 'Advanced ModSecurity Rules by Atomicorp',
    'ruleSetTortixProDescription' => 'An advanced version of the Atomic ModSecurity rules. Updated on a daily basis.',
    'ruleSetAtomic' => 'Advanced ModSecurity Rules by Atomicorp (subscription)',
    'ruleSetAtomicDescription' => 'The most complete advanced version of the Atomic ModSecurity rules, with all performance enhancements and new security features. Updated in real time. You need an active subscription to use this rule set.',
    'ruleSetAtomicInstall' => 'Enter another username and password.',
    'ruleSetAtomicHowTo' => 'To enable this rule set, add the <b>Security Core Complete by Atomicorp</b> extra feature to your license (%%seeDetailsLink%%).<br>If you already have an account on the %%atomicSiteLink%%, you can provide your username and password to enable this rule set.',
    'ruleSetAtomicHowToSeeDetails' => 'see the details',
    'ruleSetAtomicHowToAtomicSite' => 'Atomic site',
    'ruleSetAtomicLogin' => 'Username',
    'ruleSetAtomicPassword' => 'Password',
    'ruleSetComodo' => 'Comodo ModSecurity (subscription)',
    'ruleSetComodoDescription' => 'A web application firewall rule set released by Comodo. You need an active subscription to use this rule set.',
    'ruleSetComodoInstall' => 'Enter another username and password.',
    'ruleSetComodoHowTo' => 'To enable this rule set:',
    'ruleSetComodoRegister' => 'Register at Comodo site.',
    'ruleSetComodoCredentials' => 'Enter your username and password from this site.',
    'ruleSetComodoLogin' => 'Username',
    'ruleSetComodoPassword' => 'Password',
    'ruleSetCustom' => 'Custom rule set',
    'ruleSetCustomDescription' => 'Upload a custom web application firewall rule set. Supported formats: zip, tar.gz, tgz, tar.bz2, conf.',
    'ruleSetCustomUpload' => 'Select Another File',
    'ruleSetError' => 'Failed to install the ModSecurity rule set: %%error%%',
    'ruleSetAuthError' => 'The specified username or password is invalid.',
    'ruleSetUpdate' => 'Update rule sets',
    'ruleSetUpdateDaily' => 'Daily',
    'ruleSetUpdateWeekly' => 'Weekly',
    'ruleSetUpdateMonthly' => 'Monthly',
    'currentRuleSet' => 'Selected rule set',
    'currentRuleSetValue' => '%%ruleSet%% %%changeRuleSetLink%%',
    'changeRuleSetLink' => 'Change Rule Set',
    'ruleSetRollbackFailed' => 'Unable to use the current ModSecurity rule set and to roll back to the previous version because they contain invalid rules.',

    'configurationSection' => 'Configuration',
    'configurationSectionHint' => 'You can quickly and easily configure your web application firewall using either a predefined set of parameters or your custom, fine-tuned ModSecurity directives.',
    'configPreset' => 'Predefined set of values',
    'configPresetFast' => 'Fast',
    'configPresetFastDescription' => 'The HTTP request URI and parts of headers will be analyzed.',
    'configPresetTradeOff' => 'Tradeoff',
    'configPresetTradeOffDescription' => 'The HTTP request URI, headers and the request POST data will be analyzed.',
    'configPresetThrough' => 'Thorough',
    'configPresetThroughDescription' => 'The full HTTP request headers, the request POST data and the HTTP response body content will be analyzed.',
    'configCustom' => 'Custom directives',
    'configCustomDescription' => "Input a ModSecurity directive here. It will override the previously specified directives (rule sets, specific rules, the predefined set of values, and so on).\nFor example: SecDebugLogLevel 6",
    'configCustomError' => 'Invalid ModSecurity configuration: %%error%%',
    'configRollbackFailed' => 'Unable to use the current ModSecurity configuration file and to roll back to the previous version of the file because they contain an invalid configuration.',

    'rulesSection' => 'Switch off security rules',
    'rulesSectionHint' => 'Here you can switch off security rules. It is handy if you find out that a security rule is too restrictive for some websites. To deactivate security rules, specify their IDs (for example, 340003), tags (for example, CVE-2011-4898), or regular expressions used in rule messages (for example, XSS).',
    'filterById' => 'Security rule IDs',
    'filterByTag' => 'Tags',
    'filterByTagActive' => 'Active:',
    'filterByTagDeactivated' => 'Deactivated:',
    'filterByRegexp' => 'Regular expression in rule messages',

    'auditLogSection' => 'ModSecurity audit log',
    'auditLogHint1' => 'The ModSecurity audit log file is the most useful piece of information in the system. When ModSecurity detects that any event occurs, it generates an entry in the audit log file.',
    'auditLogHint2' => 'A website can stop functioning as expected after you change the web application firewall mode to On from Off or Detection only. In this case, analyze the ModSecurity audit log to find out what is happening. You can switch off too restrictive security rules or adjust the website.',
    'auditLogHint3' => 'To find out why an HTTP request cannot be completed for a website:',
    'auditLogPoint1' => 'Click the ModSecurity Log File link below and open the audit log in a new browser window.',
    'auditLogPoint2' => 'Use Search (Ctrl+F in most web browsers) to find events for the website (the domain name) that experiences problems. For example, your_domain.tld. The browser will highlight entries like HOST: your_domain.tld.',
    'auditLogPoint3' => 'In three lines above the highlighted entry, find a string like --eece5138-B--. The eight symbols between hyphens (in our example, eece5138) are the ID of the event triggered by the HTTP request.',
    'auditLogPoint4' => 'Search further for other entries with the same event ID. Look for an entry with the letter H after the event ID (in our example, eece5138-H--). This entry contains the ID and description of the security rule triggered while checking the HTTP request. The security rule ID is an integer number starting with 3, in quotation marks, and put with the prefix id in square brackets. For example, [id "340003"].',
    'auditLogPoint5' => 'Find a security rule ID in the event using a substring [id "3.',
    'auditLogPoint6' => 'Switch off the security rule with this ID in the Security rules section below: enter the security rule ID (digits only) into the Security rule IDs field and click OK.',
    'auditLogViewLink' => 'ModSecurity Log File',
    'auditLogListLink' => 'Logs Archive',

    'errorLogSection' => 'Error log',
    'errorLogSectionHint' => 'A website can stop functioning as expected after you change the web application firewall mode to On from Off or Detection only. In this case, analyze the error log to find out what is happening. You can switch off too restrictive security rules or adjust the website.',
    'errorLogViewLink' => 'Error Log File',
);
